Script: *enable-ipv6.ps1*
========================

This PowerShell script enables IPv6 on all network interfaces of the local computer.

Parameters
----------
```powershell
PS> ./enable-ipv6.ps1 [<CommonParameters>]

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

Example
-------
```powershell
PS> ./enable-ipv6.ps1
✔ IPv6 is enabled now.

```

Notes
-----
Author: Markus Fleschutz | License: CC0

Related Links
-------------
https://github.com/fleschutz/PowerShell

Script Content
--------------
```powershell
<#
.SYNOPSIS
	Enables IPv6
.DESCRIPTION
	This PowerShell script enables IPv6 on all network interfaces of the local computer.
.EXAMPLE
	PS> ./enable-ipv6.ps1
	✔ IPv6 is enabled now.
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

try {
	Enable-NetAdapterBinding -Name '*' -ComponentID 'ms_tcpip6'
	"✔️ IPv6 is enabled now."
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
```

*(generated by convert-ps2md.ps1 using the comment-based help of enable-ipv6.ps1 as of 05/19/2024 10:25:20)*
