Script: *list-network-shares.ps1*
========================

This PowerShell script lists all network shares of the local computer.

Parameters
----------
```powershell
PS> ./list-network-shares.ps1 [<CommonParameters>]

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

Example
-------
```powershell
PS> ./list-network-shares.ps1



Name    Path       Description
----    ----       -----------
Public  C:\Public  Public folder for file transfer

```

Notes
-----
Author: Markus Fleschutz | License: CC0

Related Links
-------------
https://github.com/fleschutz/PowerShell

Script Content
--------------
```powershell
<#
.SYNOPSIS
	Lists the local network shares
.DESCRIPTION
	This PowerShell script lists all network shares of the local computer.
.EXAMPLE
	PS> ./list-network-shares.ps1

	Name    Path       Description
	----    ----       -----------
	Public  C:\Public  Public folder for file transfer
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

try {
	Get-WmiObject win32_share | where {$_.name -NotLike "*$"} 
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
```

*(generated by convert-ps2md.ps1 using the comment-based help of list-network-shares.ps1 as of 05/19/2024 10:25:22)*
